<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>test/hwa_edma/main.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df418f876ada1743362c954566e842e3.html">test</a></li><li class="navelem"><a class="el" href="dir_ac4fbcf32edac14a0bd0c572d25722b9.html">hwa_edma</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">main.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Unit Test code for the EDMA + HWA drivers.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;xdc/std.h&gt;</code><br />
<code>#include &lt;xdc/cfg/global.h&gt;</code><br />
<code>#include &lt;xdc/runtime/IHeap.h&gt;</code><br />
<code>#include &lt;xdc/runtime/System.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Error.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Memory.h&gt;</code><br />
<code>#include &lt;ti/sysbios/BIOS.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Task.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Event.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Semaphore.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Clock.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &lt;ti/drivers/esm/esm.h&gt;</code><br />
<code>#include &lt;ti/drivers/soc/soc.h&gt;</code><br />
<code>#include &lt;ti/demo/xwr14xx/mmw/mmw.h&gt;</code><br />
<code>#include &lt;ti/drivers/test/common/gen_frame_data.h&gt;</code><br />
<code>#include &lt;<a class="el" href="data__path_8h.html">ti/demo/xwr14xx/mmw/data_path.h</a>&gt;</code><br />
<code>#include &lt;ti/utils/testlogger/logger.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afe330712b8bdd651753a05526738fef2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe330712b8bdd651753a05526738fef2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#afe330712b8bdd651753a05526738fef2">MCPI_LOGBUF_INIT</a> (9216)</td></tr>
<tr class="memdesc:afe330712b8bdd651753a05526738fef2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the MCPI Log Message Buffer. <br /></td></tr>
<tr class="separator:afe330712b8bdd651753a05526738fef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5da010eec6b23355be0cb435516c8e17"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a5da010eec6b23355be0cb435516c8e17">_MmwDemo_debugAssert</a> (int32_t expression, const char *file, int32_t line)</td></tr>
<tr class="separator:a5da010eec6b23355be0cb435516c8e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840291bc02cba5474a4cb46a9b9566fe"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a840291bc02cba5474a4cb46a9b9566fe">main</a> (void)</td></tr>
<tr class="separator:a840291bc02cba5474a4cb46a9b9566fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa4edd4cb95f6564fc17b156656302004"><td class="memItemLeft" align="right" valign="top">mmwHwaBuf_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#aa4edd4cb95f6564fc17b156656302004">gMmwHwaMemBuf</a> [<a class="el" href="data__path_8h.html#aaffaed1bb86146bf4fcbc5cb2a091842">MMW_HWA_NUM_MEM_BUFS</a>]</td></tr>
<tr class="separator:aa4edd4cb95f6564fc17b156656302004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace70314dd4bed1e2ffeb96b81bc42788"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#ace70314dd4bed1e2ffeb96b81bc42788">gMmwL3</a> [SOC_XWR14XX_MSS_L3RAM_SIZE]</td></tr>
<tr class="separator:ace70314dd4bed1e2ffeb96b81bc42788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fe5ffc527e7d7a7ee78a093017365d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a8fe5ffc527e7d7a7ee78a093017365d6">gMmwL3heap</a></td></tr>
<tr class="separator:a8fe5ffc527e7d7a7ee78a093017365d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Unit Test code for the EDMA + HWA drivers. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a5da010eec6b23355be0cb435516c8e17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _MmwDemo_debugAssert </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Print assert information to console. </p>

</div>
</div>
<a class="anchor" id="a840291bc02cba5474a4cb46a9b9566fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Entry point into the test code.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="aa4edd4cb95f6564fc17b156656302004"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">mmwHwaBuf_t gMmwHwaMemBuf[<a class="el" href="data__path_8h.html#aaffaed1bb86146bf4fcbc5cb2a091842">MMW_HWA_NUM_MEM_BUFS</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA memory buffer to produce the M0,M1,M2,M3 partition addresses and link to the HWA section in the linker command file. </p>

</div>
</div>
<a class="anchor" id="ace70314dd4bed1e2ffeb96b81bc42788"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t gMmwL3[SOC_XWR14XX_MSS_L3RAM_SIZE]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>L3 RAM buffer </p>

</div>
</div>
<a class="anchor" id="a8fe5ffc527e7d7a7ee78a093017365d6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> gMmwL3heap</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    &amp;<a class="code" href="main_8c.html#ace70314dd4bed1e2ffeb96b81bc42788">gMmwL3</a>[0],</div><div class="line">    SOC_XWR14XX_MSS_L3RAM_SIZE,</div><div class="line">    0</div><div class="line">}</div><div class="ttc" id="main_8c_html_ace70314dd4bed1e2ffeb96b81bc42788"><div class="ttname"><a href="main_8c.html#ace70314dd4bed1e2ffeb96b81bc42788">gMmwL3</a></div><div class="ttdeci">uint8_t gMmwL3[SOC_XWR14XX_MSS_L3RAM_SIZE]</div><div class="ttdef"><b>Definition:</b> main.c:207</div></div>
</div><!-- fragment --><p>L3 heap for convenicence of partitioning L3 RAM </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
